help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: invalid-function kbd on Emacs 24.2


From: Eli Zaretskii
Subject: Re: invalid-function kbd on Emacs 24.2
Date: Sun, 10 Feb 2013 21:37:45 +0200

> From: "Drew Adams" <address@hidden>
> Date: Sun, 10 Feb 2013 10:02:42 -0800
> 
> > > > > So maybe the problem is a more recent haskell library that 
> > > > > expects `kbd' to be a function, and so does not DTRT to get
> > > > > the macro `kbd' (loaded).
> > > > 
> > > > Unlikely: I tried both with 24.2 and the current 
> > > > development version, and didn't get the error either way.
> > > 
> > > Did you try with a recent Haskell library?
> > 
> > I don't understand what that means.  I loaded the latest haskell-mode
> > and turned the mode on.  This was said to produce the error; it
> > didn't.
> 
> I was guessing that the OP picked up recent Haskell-mode code somewhere
> (official or not), and that it perhaps counted on a `kbd' function (not 
> macro),
> so it didn't do anything to load the 24.2 code that contains the `kbd' macro
> definition - either at compile time or runtime.

I used the latest haskell-mode available from their git repository,
FWIW.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]